//]]>-->

Sliter med Java!?

Generell diskusjon om Linux og fri programvare, ikke et support forum.

Sliter med Java!?

Innleggav ynos82 » tor 11.10.2012 13:36

Java installasjon
Er ny i ubuntu og sliter litt med java installasjon.
Jeg har fulgt denne anvisningen her http://forums.team-nocturnal.com/showthread.php/772 men har fortsatt problemmer med riktig java version da jeg sjekker det. Eller vel da jeg skriver java -version i terminalen får jeg opp riktig:
java version "1.7.0"
Java(TM) SE Runtime Environment (build 1.7.0-b147)
Java HotSpot(TM) Client VM (build 21.0-b17, mixed mode)
samme med javac.
Men da jeg f.ex sjekker den opp via bankid.no så får jeg problemer med java version samme på http://www.java.com/en/download/inst...jsp?detect=jre og på http://javatester.org/version.html står det at jeg har Java Version: 1.6.0_24 from Sun Microsystems Inc og strengt talt trudde jeg at det skulle komme opp Java Version 1.7.0_07 from Oracle Corporation
Hva er det jeg har gjort feil og hvordan kan jeg fikse dette. Er det mulig å få det slik at javaen oppdaterer seg automatisk?

Hadde vært utrolig bra om jeg kunne fått det inn i oppdateringsverktøyet til ubuntu da maskinen skal vidre til en eldre dame...som heller aldri har brukt ubuntu
medlem i 81 måneder
 

Re: Sliter med Java!?

Innleggav Kjetil Kilhavn » tor 11.10.2012 15:47

ynos82 skrev:Hadde vært utrolig bra om jeg kunne fått det inn i oppdateringsverktøyet til ubuntu da maskinen skal vidre til en eldre dame...som heller aldri har brukt ubuntu

For det første vil jeg anbefale at du installerer Java via Ubuntu sine pakkebrønner, selv om det (eventuelt) skulle bety at du ikke bruker Oracle Java. Det har du ikke gjort. Hvis det er ei gammel dame som skal ha maskinen skal den nok brukes til e-post, nettbank og eventuelt sosiale nettverk samt nedlasting av broderioppskrifter. Da trenger man sannsynligvis ikke Java fra Oracle, det er vanligvis kun i helt sære tilfeller det er påkrevd å ha den ;)

Sjekk programtillegg (plugins) for nettleseren. Hvordan du sjekker det avhenger av nettleser, men for Firefox er det bare å skrive about:plugins i adressefeltet - eller gå til «Verktøy» → «Utvidelser» i menyen.

Da kan du få kontrollert hva slags plug-in som kjøres i nettleseren, og den peker no til en 1.6-versjon. Du kan sikkert fjerne eller skru den av fra nettleseren, og det løser muligens (men trolig ikke) hele problemet. Alternativt kan du vel bruke pakkebehandleren til å finne alle Java-pakkene og avinstallere de som ikke har rett versjon.
Automatisk oppdatering av Java skjer normalt via oppdateringsverktøyet for Ubuntu. Hvis du har installert Oracle sin versjon vet jeg ikke om det er mulig med mindre du lar brukeren være administrator, og det er jeg vel ikke alene i dette forumet om å fraråde!

Som openSUSE-bruker kan jeg dessverre ikke være mer spesifikk i min beskrivelse av hva du må gjøre. En alternativ løsning er jo å installere openSUSE - har ingen problemer med nettbanker der, selv ikke med IcedTea/openJDK ;)

Brukerens avatar
medlem i 142 måneder
 

Re: Sliter med Java!?

Innleggav ynos82 » fre 12.10.2012 9:24

Ok så du anbefaller å slette oracle java? Hvordan gjøres det da :rolls eyes: sliter litt med kommandoene enda..kan jeg gå i mappetreet å finne alle javaene der får så å trykke delete? Jeg trenger helt sikkert ikke Oracle som du sier, grunnen til at det ble linux på den i førsteomgang er at damen som kjøpte denne mini pcen kjøpte den i utlandet i tro om at hun kunne sette den over på norsk.
Så den har vært helt ubrukelig helt til nå og derfor sa hun gjør hva som helst og bli kvitt det gamle så jeg i det minste kan gå å lese aviser med den. Så dette er ikke hennes primære pc til bruk av nettbank osv men den skal være til å ha med på reiser da denne er mye mindre og lettere enn den andre. vil at hun skal få alt oppdatert før hun får den tilbake....
medlem i 81 måneder
 

Re: Sliter med Java!?

Innleggav unbob » lør 13.10.2012 16:39

Hei,

terminal blir ofte brukt for slike "bruksanvisninger" siden det enkelt og minimerer mulighet for feil (bare kopier kommandoer fra en nettside og lim inn i terminalvindu). Det er også stort sett uavhengig av hvilken linux distro og skriverbordsmiljø en bruker.

De kommandoene som er brukt på forums.team-nocturnal.com er:
sudo # brukes foran en kommando for å kjøre den som root bruker
mkdir # lager en mappe
mv # flytter en fil/mappe/gi nytt navn
apt-<kommandoen> # er kommandoer som styrer pakkesystemet på Ubuntu
rm # sletter
~ er en "snarveg" til ditt hjemmeområde (/home/<brukernavn>). Filer og mapper som starter med punktum skjuler de. Trykk Ctrl+H for å vise de i filbehandleren (eller velg "Vis skjulte filer" fra "Vis" menyen).
Du kan lese mer om kommandoene du bruker ved å skrive: man <kommando> (trykk q for å avslutte man leseren). f.eks. man sudo. Du kan også google: man <kommando> og ett av de første resultatene er som regel manual siden for kommandoen.

Du kan utføre det samme grafisk. For å endre på ting utenfor ditt hjemmeområde (/home/<brukernavn>) må du være root bruker. Du kan starte program som root bruker med å trykke Alt+F2 og så skrive gksu <program>. F.eks. gksu nautilus, vil starte filbehandleren som root bruker og du kan da gjøre endringer i filsystemet.

For å fjerne det du har lagt til ved å følge forums.team-nocturnal.com mener jeg du skal kunne gjøre:
Kode: Merk alt
cd
sudo rm -rf /usr/lib/jvm/java-7-oracle/
rm .mozilla/plugins/libnpjp2.so
sudo apt-get remove update-java
sudo apt-add-repository --remove ppa:nilarimogard/webupd8

Sjekk at du ikke har Java installert med å skrive java i ett terminalvindu. Resultatet av java skal da være:
Kode: Merk alt
Programmet 'java' finnes i følgende pakker:
 * default-jre
 * gcj-4.6-jre-headless
 * openjdk-6-jre-headless
 * gcj-4.5-jre-headless
 * openjdk-7-jre-headless
Prøv: sudo apt-get install <valgt pakke>

For å installere OpenJDK Java + IcedTea Plugin skriv:
Kode: Merk alt
sudo apt-get install icedtea-7-plugin
(installasjon av IcedTea Plugin drar inn OpenJDK Java automatisk)

Start Firefox og skriv about:plugins i adressefeltet. "IcedTea-Web Plugin" skal da være listet som ett av programtilleggene.

Testsiden din (javatester.org) skal da vise
Bilde

Java testen (Do I have Java?) på java.com virker ikke lenger. Testen på BankID siden virker heller ikke. Som jeg vet skal OpenJDK+IcedTea virke på Nordea (min bank) og tror det skal virke på Norsk Tipping også (hørt fra andre).

Om du må bruke Oracle Java kan kanskje denne brukes? http://www.webupd8.org/2012/01/install- ... u-via.html

Brukerens avatar
medlem i 140 måneder
 

Re: Sliter med Java!?

Innleggav rollando » man 15.10.2012 14:49

Hei

Kan anbefale http://www.duinsoft.nl/packages.php?t=en for java i Ubuntu viss du ønsker noko som fungerer med Bankid og automatisk oppdatering.

Instruksane som står under "Repository" på den siden har aldri slått feil for min del.
medlem i 81 måneder
 

Re: Sliter med Java!?

Innleggav ingeva » tir 16.10.2012 6:26

rollando skrev:Hei

Kan anbefale http://www.duinsoft.nl/packages.php?t=en for java i Ubuntu viss du ønsker noko som fungerer med Bankid og automatisk oppdatering.

Instruksane som står under "Repository" på den siden har aldri slått feil for min del.

I lys av senere tids opplysninger om hacking og inntrenging i bank-konti bør man sky Bank-ID og Java som pesten. BankID-folkene lever i en sky og innbiller seg at deres system er "sikkert". Med sånne holdninger er ingenting sikkert.

Brukerens avatar
medlem i 122 måneder
 

Re: Sliter med Java!?

Innleggav Kjetil Kilhavn » tor 18.10.2012 2:28

unbob skrev:Som jeg vet skal OpenJDK+IcedTea virke på Nordea (min bank) og tror det skal virke på Norsk Tipping også (hørt fra andre).

Jeg bruker openSUSE 12.2, og BankID fungerer helt fint med OpenJDK+IcedTea hos meg også. Norsk Tipping/BuyPass (smartkortleser av typen OMNIKEY 3021) fungerer ikke sånn helt uten widerøe, men den fungerer også fint sammen med OpenJDK+IcedTea.

Det er nødvendig å installere noen ekstra pakker og biblioteker, samt driveren for smartkortleseren. Følg i utgangspunktet instruksjoner på nettsidene til Buypass (egne installasjonsguider for flere distribusjoner, men slett ikke alle kan sies å være helt oppdatert i forhold til siste (eller nest siste) versjoner).
Jeg installerte følgende pakker:
pcsc-ccid
pcsc-lite
libpcsclite1

Last ned og installer jnipcsc fra Buypass (står i instruksjonene hos Buypass).
Last ned og installer driver (ifdokccid_lnx_x64-…tar.gz) fra Omnikey (står ikke i instruksjonene hos Buypass).

Jeg har også en ThinkPad T410 med integrert smartkortleser, og der har det også fungert tidligere. Jeg har ikke prøvd etter oppgradering til openSUSE 12.2, men jeg ser ikke noen grunn til at det ikke fortsatt skal fungere der også.

Brukerens avatar
medlem i 142 måneder
 

Re: Sliter med Java!?

Innleggav ynos82 » tor 18.10.2012 10:08

unbob: Takk for bra svar med forklaring på hvordan jeg skulle gjøre det.. Har gjort alt du har skrevet men sliter fortsatt med versionen.
Etter at jeg tester det så er fortsatt Java Version: 1.6.0_24 from Sun Microsystems Inc den viser
medlem i 81 måneder
 

Re: Sliter med Java!?

Innleggav unbob » tor 18.10.2012 17:22

Kan du lime inn utskrift fra følgende kommandoer
Kode: Merk alt
which java
java -version
dpkg --list | grep -i java

Og hvilken versjon av java programtillegget står det når du skriver about:plugins i adressefeltet i Firefox?
Bilde
For å vise full sti til programtillegget kan du endre plugin.expose_full_path til true (dobbeltklikk innstillingen) i about:config i Firefox.
Bilde

Brukerens avatar
medlem i 140 måneder
 


Returner til Generell diskusjon



Hvem er i Forumene

Registrerte brukere: Google [Bot]